BYTEORDER(3)

NAME
htonl, htons, ntohl, ntohs - convert values between host and network byte order

SYNOPSIS
#include <sys/param.h>
u_long
htonl(u_long hostlong);
u_short
htons(u_short hostshort);
u_long
ntohl(u_long netlong);
u_short
ntohs(u_short netshort);

DESCRIPTION
These routines convert 16 and 32 bit quantities between network byte order and host byte order. On machines which have a byte order which is the same as the network order, routines are defined as null macros.

These routines are most often used in conjunction with Internet addresses and ports as returned by gethostbyname(3) and getservent(3).

SEE ALSO
gethostbyname(3), getservent(3)

HISTORY
The byteorder functions appeared in 4.2BSD.

BUGS
On the VAX bytes are handled backwards from most everyone else in the world. This is not expected to be fixed in the near future.